package com.xxl.job.executor.material.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xxl.job.executor.material.entity.ByteDanceVideoInfo;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface IByteDanceVideoInfoService extends IService<ByteDanceVideoInfo> {

    void replaceBatch(List<ByteDanceVideoInfo> videoInfoList);

    ByteDanceVideoInfo getOneByParams(Long materialId);

    void updateMaterialType();
}
